> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Group Members

> List the members of a user group.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Auth:UserGroups:Members:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /auth/user-groups/{userGroupId}/members
openapi: 3.1.0
info:
  version: 2.0.249
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /auth/user-groups/{userGroupId}/members:
    get:
      tags:
        - Auth
      summary: List User Group Members
      description: List the members of a user group.
      operationId: listUserGroupMembers
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^ug-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
            description: User group id.
          required: true
          description: User group id.
          name: userGroupId
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 50
            description: Maximum number of items to return.
          required: false
          description: Maximum number of items to return.
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              Opaque token used to retrieve the next page. Returned as
              `nextPageToken` from the previous request.
          required: false
          description: >-
            Opaque token used to retrieve the next page. Returned as
            `nextPageToken` from the previous request.
          name: paginationToken
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/UserGroupMember'
                    description: Current page items.
                  nextPageToken:
                    type: string
                    description: >-
                      token to use as `paginationToken` to request the next
                      page.
                required:
                  - items
      security:
        - authenticationToken: []
components:
  schemas:
    UserGroupMember:
      type: object
      properties:
        userId:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^us-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: User id.
          example: us-6b58p-r53sr-rlrd3l5cj3uc4ome
        username:
          type: string
          description: Username/identifier of the member.
        kind:
          type: string
          enum:
            - TenantUser
            - CustomerEmployee
            - EndUser
          description: User kind.
        isActive:
          type: boolean
          description: Whether the member is an active user.
        isArchived:
          type: boolean
          description: >-
            Whether the member has been archived. Archived members hold no
            permissions.
        isServiceAccount:
          type: boolean
          description: Whether the member is a service account.
        dateAdded:
          type: string
          format: date-time
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date (must be
            UTC). Date the user was added to the group.
          example: '2023-04-14T20:41:28.715Z'
      required:
        - userId
        - username
        - kind
        - isActive
        - isArchived
        - isServiceAccount
        - dateAdded
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.